Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface XAConnection

All Superinterfaces:
  Connection

All Known Subinterfaces:
  XAQueueConnection, XATopicConnection

public interface XAConnection
extends Connection

The `XAConnection` interface extends the capability of `Connection` by providing an `XASession` (optional).

The `XAConnection` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

Version:
  1.1 February 2, 2002
Author:
  Mark Hapner, Rich Burridge, Kate Stout
See Also:
  `XAQueueConnection`, `XATopicConnection`

Method Summary
`Session` | `createSession(boolean transacted, int acknowledgeMode)` Creates an `Session` object.
`XASession` | `createXASession()` Creates an `XASession` object.

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Method Detail

### createXASession

    public XASession createXASession()
                              throws JMSException

  Creates an `XASession` object.
  Returns:
    a newly created `XASession`
  Throws:
    `JMSException` - if the `XAConnection` object fails to create an `XASession` due to some internal error.
  Since:
    1.1

### createSession

    public Session createSession(boolean transacted,
                                 int acknowledgeMode)
                          throws JMSException

  Creates an `Session` object.
  Specified by:
    `createSession` in interface `Connection`
  Parameters:
    `transacted` - usage undefined
    `acknowledgeMode` - usage undefined
  Returns:
    a `Session` object
  Throws:
    `JMSException` - if the `XAConnection` object fails to create an `Session` due to some internal error.
  Since:
    1.1

Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JMS 1.1 - April 12, 2002